<!-- 
/*-------------------------------------------------------------------------------------------------
Author     : Rey Ocampo
Company    : Husky Energy
Description: A view for creating a Service Notification Request 
Inputs     : N/A
History    : 09.22.15 rbo Modified to accommodate SNR directly from FLOC (Well, Facility, Equipment)
---------------------------------------------------------------------------------------------------*/
 -->
 
<apex:page standardController="HOG_Service_Request_Notification_Form__c" sidebar="true" tabStyle="HOG_Service_Request_Notification_Form__c" extensions="ServiceRequestNotification">
    <apex:sectionHeader title="Service Notification Request Edit" subtitle="{!IF(ISBLANK(criticalPageError), IF(addRecord, "New Service Notification Request (" & functionalLocationRecordName & ")", functionalLocationRecordName & " - " & IF(HOG_Service_Request_Notification_Form__c.Work_Order_Number__c != NULL, HOG_Service_Request_Notification_Form__c.Work_Order_Number__c, "Pending Work Order")), criticalPageError)}"/>

    <style type="text/css">
         .detailList {table-layout: fixed;}
    </style>

     <apex:outputPanel id="scriptPanel">
        <script>
            
        function doSfOneNavigation(){
            var isNew = '{!$CurrentPage.parameters.recordId}';
            var isEdit = '{!$CurrentPage.parameters.id}';
            var url;
            
            if(isNew){
                url = '{!URLFOR($Site.Prefix + '/' + "'+isNew+'")}';
            }else {
                url = '{!URLFOR($Site.Prefix + '/' + "'+isEdit+'")}';
            }
            
            if( typeof sforce != "undefined" && sforce && sforce.one ) {
                sforce.one.navigateToURL(url);
            } else {
                window.location = url;
            }
        }
        function executeSave(){
            executeSaveForSf1();
        }
        </script>    
    </apex:outputPanel>

    <apex:outputpanel >
        <apex:actionstatus id="actionStatus">
            <apex:facet name="start">
                <div class="waitingSearchDiv" id="loading" style="background-color: #DCD6D6; height: 100%; opacity:0.65; width: 100%;">
                    <div class="waitingHolder" style="top: 74.2px; width: 91px;">
                        <img class="waitingImage" src="/img/loading32.gif" title="Please Wait..." />
                        <span class="waitingDescription">Saving...</span>
                    </div>
                </div>
            </apex:facet>
        </apex:actionstatus>
    </apex:outputpanel>
    
    <apex:form id="pageForm" rendered="{!ISBLANK(criticalPageError)}" enctype="multipart/form-data">
        <apex:pageBlock title="Service Notification Request Edit" mode="detail">
            <apex:pageMessages />
                             
           <apex:pageBlockButtons >
<!-- Standard SF -->  <apex:commandButton value="Save" action="{!save}" status="actionStatus" rendered="{!!isSalesforce1}" rerender="pageForm" disabled="{!IF(addRecord, !recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing') || recordIsDLFL, serviceRequestFormRecordIsCompleted && !serviceRequestFormRecordIsRecurring)}"/>
<!-- SF1 webapp -->   <apex:commandButton value="Save" onclick="executeSave()" status="actionStatus" rendered="{!isSalesforce1}" rerender="pageForm" disabled="{!IF(addRecord, !recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing') || recordIsDLFL, serviceRequestFormRecordIsCompleted && !serviceRequestFormRecordIsRecurring)}"/>
<!-- SF1 webapp function--><apex:actionFunction name="executeSaveForSf1" oncomplete="doSfOneNavigation()" action="{!save}" status="actionStatus" rendered="{!isSalesforce1}" rerender="pageForm" />

<!-- Standard SF -->  <apex:commandButton value="Cancel" action="{!cancel}" rendered="{!!isSalesforce1}"  rerender="pageForm" immediate="true"/>
<!-- SF1 webapp -->   <apex:commandButton value="Cancel" onclick="doSfOneNavigation()" rendered="{!isSalesforce1}" rerender="pageForm" immediate="true"/>

            </apex:pageBlockButtons> 
                                
            <apex:pageBlockSection collapsible="true" title="Service Notification Request Information" columns="2">
                <apex:pageBlockSection columns="1">
                    <apex:outputPanel id="serviceMain">
                        <apex:pageBlockSection rendered="{!serviceMainVisible}">                                           
                            <apex:pageblocksectionitem dataStyleClass="detailList">
                                <apex:outputlabel value="Service Category"/>
                                <apex:outputpanel layout="block" styleClass="requiredInput">
                                    <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                                    <!-- <apex:selectList value="{!serviceMain}" size="1" label="Service Category" disabled="{!IF(addRecord, !recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing') || recordIsDLFL, serviceRequestFormRecordIsRecurring || serviceRequestFormRecordIsCompleted)}"> -->
                                    <apex:selectList value="{!serviceMain}" size="1" label="Service Category" disabled="{!IF(addRecord, !recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing') || recordIsDLFL, TRUE)}">  
                                        <apex:actionSupport event="onchange" reRender="serviceType,serviceEvent,servicePriority,servicePriorityWorkOrder,serviceActivity,serviceRequired,serviceSpecifics,variableFields,capexp" action="{!getServiceTypeNames}"/>
                                        <apex:selectOptions value="{!serviceMainOptions}"/>
                                    </apex:selectList>
                                </apex:outputpanel>                            
                            </apex:pageblocksectionitem>
                        </apex:pageBlockSection>     
                    </apex:outputPanel>
                    


                    <apex:outputPanel id="serviceType">
                        <apex:pageBlockSection rendered="{!serviceTypeVisible}">                        
                            <apex:pageblocksectionitem dataStyleClass="detailList">
                                <apex:outputlabel >Service Type</apex:outputlabel>                
                                <apex:outputpanel layout="block" styleClass="requiredInput">
                                    <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                                    <!-- <apex:selectList value="{!serviceType}" size="1" label="Service Type" disabled="{!IF(addRecord, !recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing') || recordIsDLFL, serviceRequestFormRecordIsRecurring || serviceRequestFormRecordIsCompleted)}"> -->
                                    <apex:selectList value="{!serviceType}" size="1" label="Service Type" disabled="{!IF(addRecord, !recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing') || recordIsDLFL, TRUE)}">
                                        <apex:actionSupport event="onchange" reRender="serviceEvent,servicePriority,servicePriorityWorkOrder,serviceActivity,serviceRequired,serviceSpecifics,variableFields,capexp" action="{!getServiceActivityNames}"/>
                                        <apex:selectOptions value="{!serviceTypeOptions}"/>
                                    </apex:selectList>
                                </apex:outputpanel>    
                            </apex:pageblocksectionitem>        
                        </apex:pageBlockSection>
                    </apex:outputPanel>
                    
                    <!-- DEFT Selection serviceEventOptions --> 
                    <apex:outputPanel id="serviceEvent">                
                        <apex:pageBlockSection rendered="{!serviceEventVisible}">                                           
                            <apex:pageblocksectionitem dataStyleClass="detailList">
                                <apex:outputlabel >Service Well Event</apex:outputlabel>                
                                <apex:outputpanel layout="block" styleClass="requiredInput">
                                    <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                                    <apex:selectList value="{!serviceEvent}" size="1" label="Service Well Event" disabled="{!IF(addRecord, !recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing') || recordIsDLFL, TRUE)}">
                                        <apex:selectOptions value="{!serviceEventOptions}"/>
                                    </apex:selectList>
                                </apex:outputpanel>    
                            </apex:pageblocksectionitem>
                        </apex:pageBlockSection>                                           
                    </apex:outputPanel>
                    
                    <apex:outputPanel id="serviceActivity" >                
                        <apex:pageBlockSection rendered="{!serviceActivityVisible}">                                                                   
                            <apex:pageblocksectionitem dataStyleClass="detailList">
                                <apex:outputlabel value="Activity Type"/>                
                                <apex:outputpanel layout="block" styleClass="requiredInput">
                                    <apex:outputpanel layout="block" styleClass="requiredBlock"/>                                    
                                    <!-- <apex:selectList value="{!serviceActivity}" size="1" label="Activity Type" disabled="{!IF(addRecord, !recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing') || recordIsDLFL, serviceRequestFormRecordIsRecurring || serviceRequestFormRecordIsCompleted)}"> -->
                                    <apex:selectList value="{!serviceActivity}" size="1" label="Activity Type" disabled="{!IF(addRecord, !recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing') || recordIsDLFL, TRUE)}">
                                        <apex:actionSupport event="onchange" reRender="serviceRequired,serviceSpecifics" action="{!getServiceRequiredNames}"/>
                                        <apex:selectOptions value="{!serviceActivityOptions}"/>
                                    </apex:selectList>
                                </apex:outputpanel>    
                            </apex:pageblocksectionitem>
                        </apex:pageBlockSection>                                           
                    </apex:outputPanel>

                    <!--
                        24.10.16 NS - Release 7
                        The action is mimicking the serviceEventVisible, any changes to the serviceEventVisible will cause cap/exp to change

                    -->
                    <apex:outputPanel id="capexp">
                        <apex:pageBlockSection rendered="{!serviceEventVisible}" >                        
                            <apex:pageblocksectionitem dataStyleClass="detailList">
                                <apex:outputlabel >Cap/Exp</apex:outputlabel>                
                                <apex:outputpanel layout="block" styleClass="requiredInput">
                                    <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                                    <apex:inputField value="{!HOG_Service_Request_Notification_Form__c.Cap_Exp__c}"/>
                                 </apex:outputpanel>    
                            </apex:pageblocksectionitem>        
                        </apex:pageBlockSection>
                    </apex:outputPanel>                  

                    <apex:outputPanel id="serviceRequired" >                            
                        <apex:pageBlockSection rendered="{!serviceRequiredVisible}">                                                                   
                            <apex:pageblocksectionitem dataStyleClass="detailList">
                                <apex:outputlabel value="Service Required"/>                
                                <apex:outputpanel layout="block" styleClass="requiredInput">
                                    <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                                    <apex:selectList value="{!serviceRequired}" size="1" label="Service Required" disabled="{!IF(addRecord, !recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing') || recordIsDLFL, serviceRequestFormRecordIsRecurring || serviceRequestFormRecordIsCompleted)}">
                                        <apex:actionSupport event="onchange" reRender="serviceSpecifics,variableFields,recurring" action="{!getServiceSpecificsNames}"/>                                        
                                        <apex:selectOptions value="{!serviceRequiredOptions}"/>
                                    </apex:selectList>
                                </apex:outputpanel>    
                            </apex:pageblocksectionitem>
                        </apex:pageBlockSection>                                           
                    </apex:outputPanel>
                    
                    

                    <apex:outputPanel id="serviceSpecifics" >                                    
                        <apex:pageBlockSection >                                           
                            <apex:pageblocksectionitem dataStyleClass="detailList">
                                <apex:outputlabel value="Specific Service"/>                
                                <apex:outputpanel layout="block" styleClass="requiredInput">
                                    <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                                    <apex:selectList value="{!serviceSpecifics}" size="1" label="Service Specifics" disabled="{!IF(addRecord, !recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing') || recordIsDLFL, serviceRequestFormRecordIsRecurring || serviceRequestFormRecordIsCompleted)}"> 
                                        <apex:selectOptions value="{!serviceSpecificsOptions}"/>
                                    </apex:selectList>                
                                </apex:outputpanel>    
                            </apex:pageblocksectionitem>                                    
                        </apex:pageBlockSection>                                           
                    </apex:outputPanel>                                            

                    <apex:outputPanel id="servicePriority">                
                        <apex:pageBlockSection >                                           
                            <apex:pageblocksectionitem dataStyleClass="detailList">
                                <apex:outputlabel >Service Priority</apex:outputlabel>                
                                <apex:outputpanel layout="block" styleClass="requiredInput">
                                    <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                                    <apex:selectList value="{!servicePriority}" size="1" label="Service Priority" disabled="{!IF(addRecord, !recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing') || recordIsDLFL, serviceRequestFormRecordIsRecurring || serviceRequestFormRecordIsCompleted)}">                                    
                                        <apex:selectOptions value="{!servicePriorityOptions}"/>
                                    </apex:selectList>
                                </apex:outputpanel>    
                            </apex:pageblocksectionitem>
                        </apex:pageBlockSection>                                           
                    </apex:outputPanel>

                    <apex:outputPanel id="servicePriorityWorkOrder">
                        <apex:pageBlockSection rendered="{!generateWorkOrderNumber && generateNumbersFromSAP && servicePriorityWorkOrderVisible}">
                            <apex:pageblocksectionitem dataStyleClass="detailList">
                                <apex:outputlabel >Work Order Priority</apex:outputlabel>                
                                <apex:outputpanel layout="block" styleClass="requiredInput">
                                    <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                                    <apex:selectList value="{!servicePriorityWorkOrder}" size="1" label="Work Order Priority" disabled="{!IF(addRecord, !recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing') || recordIsDLFL, serviceRequestFormRecordIsRecurring || serviceRequestFormRecordIsCompleted)}">                                    
                                        <apex:selectOptions value="{!servicePriorityWorkOrderOptions}"/>
                                    </apex:selectList>
                                </apex:outputpanel>    
                            </apex:pageblocksectionitem>                                
                        </apex:pageBlockSection>                                                
                    </apex:outputPanel>

                </apex:pageBlockSection>

                <apex:outputPanel >
                    <apex:pageBlockSection columns="1" id="variableFields">                    
                        <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Well_Tracker__c}" rendered="false"/>
                        
                        <!-- if auto-generate work order number, show Work Order -->                    
                        <apex:pageblocksectionitem >
                            <apex:outputlabel value="Work Order" rendered="{!IF(addRecord, !(!recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing')), !serviceRequestFormRecordIsRecurring && !serviceRequestFormRecordIsCompleted) && manualInputWorkOrderNumber}"/>                            
                            <apex:outputpanel layout="block" styleClass="requiredInput">
                                <apex:outputpanel layout="block" styleClass="requiredBlock" rendered="{!IF(addRecord, !(!recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing')) && !recordIsDLFL, !serviceRequestFormRecordIsRecurring && !serviceRequestFormRecordIsCompleted) && manualInputWorkOrderNumber}"/>
                                <apex:inputText onkeydown="if(event.keyCode==13){this.blur();actionFunction();}" value="{!workOrderNumber}" size="8" maxlength="8" rendered="{!IF(addRecord, !(!recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing')) && !recordIsDLFL, !serviceRequestFormRecordIsRecurring && !serviceRequestFormRecordIsCompleted) && manualInputWorkOrderNumber}"/>
                            </apex:outputpanel>    
                        </apex:pageblocksectionitem>

                        <apex:pageblocksectionitem >
                            <apex:outputlabel value="Work Order" rendered="{!IF(addRecord, FALSE, manualInputWorkOrderNumber && (serviceRequestFormRecordIsRecurring || serviceRequestFormRecordIsCompleted))}"/>
                            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Work_Order_Number__c}" rendered="{!IF(addRecord, FALSE, manualInputWorkOrderNumber && (serviceRequestFormRecordIsRecurring || serviceRequestFormRecordIsCompleted))}"/>
                        </apex:pageblocksectionitem>

                        <apex:pageblocksectionitem >
                            <apex:outputlabel value="Primary Work Order" rendered="{!IF(addRecord, !(!recentWellTrackerRecord || (serviceCompletedAndRunning && wellTrackerStatus != 'Producing')), !serviceRequestFormRecordIsCompleted) && allowWorkOrderLinking}"/>                            
                            <apex:outputpanel layout="block" styleClass="requiredInput">
                                <apex:outputpanel layout="block" styleClass="requiredBlock" rendered="{!IF(addRecord, !(!recentWellTrackerRecord || (serviceCompletedAndRunning && wellTrackerStatus != 'Producing')) && !recordIsDLFL, !serviceRequestFormRecordIsCompleted) && allowWorkOrderLinking}"/>
                                <apex:inputField onkeydown="if(event.keyCode==13){this.blur();actionFunction();}" value="{!HOG_Service_Request_Notification_Form__c.Primary_Work_Order__c}" rendered="{!IF(addRecord, !(!recentWellTrackerRecord || (serviceCompletedAndRunning && wellTrackerStatus != 'Producing')) && !recordIsDLFL, !serviceRequestFormRecordIsCompleted) && allowWorkOrderLinking}"/>
                            </apex:outputpanel>    
                        </apex:pageblocksectionitem>

                        <apex:pageblocksectionitem >
                            <apex:outputlabel value="Primary Work Order" rendered="{!IF(addRecord, FALSE, allowWorkOrderLinking && serviceRequestFormRecordIsCompleted)}"/>
                            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Primary_Work_Order__c}" rendered="{!IF(addRecord, FALSE, allowWorkOrderLinking && serviceRequestFormRecordIsCompleted)}"/>
                        </apex:pageblocksectionitem>
                        
                        <!-- if Unsupervised Service and Vendor Company Is Required, show vendor company -->    
                        <apex:pageblocksectionitem >
                            <apex:outputLabel value="Vendor Company" rendered="{!(!serviceSupervised && !serviceVendorCompanyIsNotRequired && IF(addRecord, !recordIsDLFL, !serviceRequestFormRecordIsCompleted)) || serviceRequestFormRecordIsRecurring}"/>
                            <apex:inputField onkeydown="if(event.keyCode==13){this.blur();actionFunction();}" value="{!HOG_Service_Request_Notification_Form__c.Vendor_Company__c}" rendered="{!(!serviceSupervised && !serviceVendorCompanyIsNotRequired && IF(addRecord, !recordIsDLFL, !serviceRequestFormRecordIsCompleted)) || serviceRequestFormRecordIsRecurring}"/>
                        </apex:pageblocksectionitem>
                        
                        <!-- if Unsupervised Service and Vendor Company Is Required, show vendor company -->                    
                        <apex:pageblocksectionitem >
                            <apex:outputLabel value="Vendor Company" rendered="{!IF(addRecord, FALSE, !serviceSupervised && !serviceVendorCompanyIsNotRequired && serviceRequestFormRecordIsCompleted && !serviceRequestFormRecordIsRecurring)}"/>
                            <apex:outputField label="Vendor Company" value="{!HOG_Service_Request_Notification_Form__c.Vendor_Company__c}" rendered="{!IF(addRecord, FALSE, !serviceSupervised && !serviceVendorCompanyIsNotRequired && serviceRequestFormRecordIsCompleted && !serviceRequestFormRecordIsRecurring)}"/>
                        </apex:pageblocksectionitem>

                        <apex:pageblocksectionitem >
                            <apex:outputLabel value="Production Impacted" rendered="{!showProductionImpacted}"/>
                            <apex:outputpanel >
                                <apex:inputField label="Production Impacted" onkeydown="if(event.keyCode==13){this.blur();actionFunction();}" value="{!HOG_Service_Request_Notification_Form__c.Production_Impacted__c}" rendered="{!showProductionImpacted}" id="inputProductionImpacted"/>                    
                                <script>document.getElementById('{!$Component.inputProductionImpacted}').disabled = {!serviceRequestFormRecordIsCompleted}; </script>                                                                                                           
                            </apex:outputpanel>
                        </apex:pageblocksectionitem>

                        <apex:pageblocksectionitem >
                            <apex:outputLabel value="Equipment Down" rendered="{!showEquipmentDown}"/>
                            <apex:actionRegion >
                                <apex:inputCheckbox onkeydown="if(event.keyCode==13){this.blur();actionFunction();}" value="{!equipmentDown}" rendered="{!showEquipmentDown}" id="inputEquipmentDown" disabled="{!serviceRequestFormRecordIsCompleted}">
                                    <apex:actionSupport event="onchange" reRender="malfunctionStartDate"/>                                  
                                </apex:inputCheckbox>
                            </apex:actionRegion>    
                        </apex:pageblocksectionitem>

                        <apex:pageblocksectionitem >
                            <apex:pageblocksection id="malfunctionStartDate">
                                <apex:pageblocksectionitem >
                                    <apex:outputLabel value="Malfunction Start Date" rendered="{!showEquipmentDown && equipmentDown}"/>
                                        <apex:outputpanel layout="block" styleClass="requiredInput">
                                            <apex:outputpanel layout="block" styleClass=" requiredBlock" rendered="{!equipmentDown}"/>
                                            <apex:inputField onkeydown="if(event.keyCode==13){this.blur();actionFunction();}" value="{!HOG_Service_Request_Notification_Form__c.Malfunction_Start_Date__c}" rendered="{!showEquipmentDown && equipmentDown}" id="inputMalfunctionDate"/>
                                            <script>document.getElementById('{!$Component.inputMalfunctionDate}').disabled = {!serviceRequestFormRecordIsCompleted}; </script>                                                                                                          
                                        </apex:outputpanel>    
                                    </apex:pageblocksectionitem>
                            </apex:pageblocksection>
                        </apex:pageblocksectionitem>                                                                                                                       
                    </apex:pageBlockSection>              
                </apex:outputPanel>                
            </apex:pageBlockSection>
    
            <apex:pageBlockSection collapsible="true" title="Work Order Details" columns="1">                
                <apex:pageblocksectionitem HelpText="Quick description of the issue which would go into the short text in SAP" >
                    <apex:outputlabel value="Title" rendered="{!IF(addRecord, !(!recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing')) && !recordIsDLFL, serviceRequestFormRecordIsRecurring || !serviceRequestFormRecordIsCompleted)}"/>
                    <apex:outputpanel layout="block" styleClass="requiredInput" rendered="{!IF(addRecord, !(!recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing')) && !recordIsDLFL, serviceRequestFormRecordIsRecurring || !serviceRequestFormRecordIsCompleted)}">
                        <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                        <apex:inputField value="{!HOG_Service_Request_Notification_Form__c.Title__c}" style="width: 65%;" id="inputTitle"/>
                    </apex:outputpanel>    
                </apex:pageblocksectionitem> 
                <apex:pageblocksectionitem >
                    <apex:outputlabel value="Work Details" rendered="{!IF(addRecord, !(!recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing')) && !recordIsDLFL, serviceRequestFormRecordIsRecurring || !serviceRequestFormRecordIsCompleted)}"/>
                    <apex:outputpanel layout="block" styleClass="requiredInput" rendered="{!IF(addRecord, !(!recentWellTrackerRecord || ((numberOfOutstandingWorkOrders > 0 || serviceCompletedAndRunning) && wellTrackerStatus != 'Producing')) && !recordIsDLFL, serviceRequestFormRecordIsRecurring || !serviceRequestFormRecordIsCompleted)}">
                        <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                        <apex:inputField value="{!HOG_Service_Request_Notification_Form__c.Work_Details__c}" style="width: 65%; height: 100px" id="inputWorkDetails"/>
                    </apex:outputpanel>    
                </apex:pageblocksectionitem>                             

                <apex:pageBlocksectionitem >
                    <apex:outputlabel value="Title" rendered="{!IF(addRecord, FALSE, !serviceRequestFormRecordIsRecurring && serviceRequestFormRecordIsCompleted)}"/>
                    <apex:outputpanel layout="block" styleClass="requiredInput" rendered="{!IF(addRecord, FALSE, !serviceRequestFormRecordIsRecurring && serviceRequestFormRecordIsCompleted)}">
                        <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                        <apex:inputTextarea value="{!HOG_Service_Request_Notification_Form__c.Title__c}" style="width: 65%;" disabled="true"/>
                    </apex:outputpanel>                        
                </apex:pageBlocksectionitem>
                <apex:pageBlocksectionitem >
                    <apex:outputlabel value="Work Details" rendered="{!IF(addRecord, FALSE, !serviceRequestFormRecordIsRecurring && serviceRequestFormRecordIsCompleted)}"/>
                    <apex:outputpanel layout="block" styleClass="requiredInput" rendered="{!IF(addRecord, FALSE, !serviceRequestFormRecordIsRecurring && serviceRequestFormRecordIsCompleted)}">
                        <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                        <apex:inputTextarea value="{!HOG_Service_Request_Notification_Form__c.Work_Details__c}" style="width: 65%; height: 100px" disabled="true"/>
                    </apex:outputpanel>                        
                </apex:pageBlocksectionitem>
            </apex:pageBlockSection>
            
            <apex:outputPanel id="recurring">
                <apex:pageBlockSection collapsible="true" title="Recurring Details" rendered="{!(!serviceSupervised && !serviceNonRecurring && wellTrackerStatus == 'Producing' && addRecord) || serviceRequestFormRecordIsRecurring}">
                    <apex:pageBlockSection columns="1">
                        
                        <apex:pageblocksectionitem >
                            <apex:actionRegion >
                                <apex:inputCheckbox onkeydown="if(event.keyCode==13){this.blur();actionFunction();}" value="{!recurring}" id="recurringId" disabled="{!recordIsDLFL}">
                                    <apex:actionSupport event="onchange" reRender="recurringDetails"/>                                  
                                </apex:inputCheckbox>
                                <apex:outputlabel >Create Recurring Series of Tasks</apex:outputlabel>
                            </apex:actionRegion>    
                        </apex:pageblocksectionitem>
            
                        <apex:outputPanel id="recurringDetails">            
                            <apex:pageBlockSection columns="1" rendered="{!recurring}">
                                <apex:pageblocksectionitem >                    
                                    <apex:actionRegion >
                                        <apex:outputlabel value="Frequency"/>
                                        <apex:selectRadio value="{!frequency}" layout="lineDirection" disabled="{!recordIsDLFL}">
                                            <apex:actionSupport event="onchange" reRender="recurringDetailsFrequency"/>
                                            <apex:selectOptions value="{!frequencyOptions}"/>
                                        </apex:selectRadio>
                                    </apex:actionRegion>
                                </apex:pageblocksectionitem>
                                
                                <apex:outputPanel id="recurringDetailsFrequency">
                                    <apex:pageBlockSection columns="2" rendered="{!frequency == 'Daily'}"> 
                                        <apex:pageblocksectionitem >                    
                                            <apex:actionRegion >
                                                <apex:selectRadio value="{!frequencyDaily}" disabled="{!recordIsDLFL}">
                                                    <apex:actionSupport event="onchange" reRender="recurringDetailsFrequencyDaily"/>
                                                    <apex:selectOptions value="{!frequencyDailyOptions}"/>
                                                </apex:selectRadio>                                                                                                                                        
                                            </apex:actionRegion>    
                                        </apex:pageblocksectionitem>
                                        <apex:outputPanel id="recurringDetailsFrequencyDaily">
                                            <apex:pageBlockSection columns="1" rendered="{!frequencyDaily == 'Every'}"> 
                                                <apex:pageblocksectionitem >
                                                    <apex:outputpanel layout="block" styleClass="requiredInput">
                                                        <apex:inputText onkeydown="if(event.keyCode==13){this.blur();actionFunction();}" value="{!frequencyDailyEveryDays}" size="1" maxlength="4" rendered="{!!recordIsDLFL}"/>
                                                        <apex:outputText value="{!frequencyDailyEveryDays}" rendered="{!recordIsDLFL}"/>                                        
                                                        <apex:outputlabel value="day(s)"/>
                                                    </apex:outputpanel>
                                                </apex:pageblocksectionitem>
                                            </apex:pageBlockSection>
                                        </apex:outputPanel>
                                    </apex:pageBlockSection>
                                    <apex:pageBlockSection columns="2" rendered="{!frequency == 'Weekly'}"> 
                                        <apex:pageblocksectionitem >
                                            <apex:outputpanel layout="block" styleClass="requiredInput">
                                                <apex:outputlabel value="Recurs every"/>
                                                <apex:inputText onkeydown="if(event.keyCode==13){this.blur();actionFunction();}" value="{!frequencyWeeklyRecurs}" size="1" maxlength="4" rendered="{!!recordIsDLFL}"/>                             
                                                <apex:outputText value="{!frequencyWeeklyRecurs}" rendered="{!recordIsDLFL}"/>                                    
                                            </apex:outputpanel>    
                                        </apex:pageblocksectionitem>                                                    
                                        <apex:pageblocksectionitem >
                                            <apex:actionRegion >
                                                <apex:outputlabel value="week(s) on"/>
                                                <apex:selectCheckboxes value="{!frequencyWeekly}" layout="lineDirection" disabled="{!recordIsDLFL}">
                                                    <apex:actionSupport event="onchange" reRender="out"/>                                                
                                                    <apex:selectOptions value="{!frequencyWeeklyOptions}"/>
                                                </apex:selectCheckboxes>
                                            </apex:actionRegion>                                            
                                        </apex:pageblocksectionitem>                                                    
                                    </apex:pageBlockSection>
                                    <apex:pageBlockSection columns="1" rendered="{!frequency == 'Monthly'}"> 
                                        <apex:pageblocksectionitem >                                            
                                            <apex:actionRegion >
                                                <apex:selectRadio value="{!frequencyMonthly}" disabled="{!recordIsDLFL}">
                                                    <apex:actionSupport event="onchange" reRender="recurringDetailsFrequencyMonthly"/>
                                                    <apex:selectOptions value="{!frequencyMonthlyOptions}"/>
                                                </apex:selectRadio>
                                                <apex:outputPanel id="recurringDetailsFrequencyMonthly">
                                                    <apex:selectList value="{!frequencyMonthlyOnDay}" size="1" rendered="{!frequencyMonthly == 'On day'}" disabled="{!recordIsDLFL}">
                                                        <apex:selectOptions value="{!frequencyMonthlyOnDayOptions}"/>                                                    
                                                    </apex:selectList>
                                                        
                                                    <apex:outputlabel value="of every" rendered="{!frequencyMonthly == 'On day'}"/>
                                                    <apex:inputText onkeydown="if(event.keyCode==13){this.blur();actionFunction();}" value="{!frequencyMonthlyOnDayEveryMonths}" size="1" maxlength="4" rendered="{!frequencyMonthly == 'On day' && !recordIsDLFL}"/>
                                                    <apex:outputText value="{!frequencyMonthlyOnDayEveryMonths}" rendered="{!frequencyMonthly == 'On day' && recordIsDLFL}"/>

                                                    <apex:outputlabel value="month(s)" rendered="{!frequencyMonthly == 'On day'}"/>                                                    
                                                    <apex:selectList value="{!frequencyMonthlyOnThe}" size="1" rendered="{!frequencyMonthly == 'On the'}" disabled="{!recordIsDLFL}">
                                                        <apex:selectOptions value="{!frequencyMonthlyOnTheOptions}"/>                                                    
                                                    </apex:selectList>
                                                    
                                                    <apex:selectList value="{!frequencyMonthlyOnTheDay}" size="1" rendered="{!frequencyMonthly == 'On the'}" disabled="{!recordIsDLFL}">
                                                        <apex:selectOptions value="{!frequencyMonthlyOnTheDayOptions}"/>                                                    
                                                    </apex:selectList>
                                                    
                                                    <apex:outputlabel value="of every" rendered="{!frequencyMonthly == 'On the'}"/>
                                                    <apex:inputText onkeydown="if(event.keyCode==13){this.blur();actionFunction();}" value="{!frequencyMonthlyOnTheEveryMonths}" size="1" maxlength="4" rendered="{!frequencyMonthly == 'On the' && !recordIsDLFL}"/>
                                                    <apex:outputText value="{!frequencyMonthlyOnTheEveryMonths}" rendered="{!frequencyMonthly == 'On the' && recordIsDLFL}"/>                                                    
                                                    <apex:outputlabel value="month(s)" rendered="{!frequencyMonthly == 'On the'}"/>

                                                </apex:outputPanel>
                                            </apex:actionRegion>                                                                                            
                                        </apex:pageblocksectionitem>
                                    </apex:pageBlockSection>

                                    <apex:pageBlockSection columns="1" rendered="{!frequency == 'Yearly'}">
                                        <apex:pageblocksectionitem >                                            
                                            <apex:actionRegion >
                                                <apex:selectRadio value="{!frequencyYearly}" disabled="{!recordIsDLFL}">
                                                    <apex:actionSupport event="onchange" reRender="recurringDetailsFrequencyYearly"/>
                                                    <apex:selectOptions value="{!frequencyYearlyOptions}"/>
                                                </apex:selectRadio>
                                                <apex:outputPanel id="recurringDetailsFrequencyYearly">
                                                    <apex:selectList value="{!frequencyYearlyOnEveryMonth}" size="1" rendered="{!frequencyYearly == 'On every'}" disabled="{!recordIsDLFL}">
                                                        <apex:selectOptions value="{!frequencyYearlyOnEveryMonthOptions}"/>                                                    
                                                    </apex:selectList>
                                                    <apex:selectList value="{!frequencyYearlyOnEveryDay}" size="1" rendered="{!frequencyYearly == 'On every'}" disabled="{!recordIsDLFL}">
                                                        <apex:selectOptions value="{!frequencyYearlyOnEveryDayOptions}"/>                                                    
                                                    </apex:selectList>
                                                    <apex:selectList value="{!frequencyYearlyOnThe}" size="1" rendered="{!frequencyYearly == 'On the'}" disabled="{!recordIsDLFL}">
                                                        <apex:selectOptions value="{!frequencyYearlyOnTheOptions}"/>                                                    
                                                    </apex:selectList>
                                                    <apex:selectList value="{!frequencyYearlyOnTheDay}" size="1" rendered="{!frequencyYearly == 'On the'}" disabled="{!recordIsDLFL}">
                                                        <apex:selectOptions value="{!frequencyYearlyOnTheDayOptions}"/>                                                    
                                                    </apex:selectList>
                                                    <apex:selectList value="{!frequencyYearlyOnTheMonth}" size="1" rendered="{!frequencyYearly == 'On the'}" disabled="{!recordIsDLFL}">
                                                        <apex:selectOptions value="{!frequencyYearlyOnTheMonthOptions}"/>                                                    
                                                    </apex:selectList>                                                                                                        
                                                </apex:outputPanel>
                                            </apex:actionRegion>                                                                                            
                                        </apex:pageblocksectionitem>
                                    </apex:pageBlockSection>

                                </apex:outputPanel>

                                <apex:pageblocksectionitem >                    
                                    <apex:outputlabel value="# WO/Day (max = {!recurringServiceMaxDailyWorkOrders})"/>
                                    <apex:outputpanel layout="block" styleClass="requiredInput">
                                        <div class="requiredBlock"></div>
                                        <apex:inputText onkeydown="if(event.keyCode==13){this.blur();actionFunction();}" value="{!frequencyTaskQuantity}" size="1" maxlength="{!IF(recurringServiceMaxDailyWorkOrders > 9, 2, 1)}" rendered="{!!recordIsDLFL}"/>
                                        <apex:outputText value="{!frequencyTaskQuantity}" rendered="{!recordIsDLFL}"/>                                        
                                    </apex:outputpanel>    
                                </apex:pageblocksectionitem>

                                <apex:pageblocksectionitem >                    
                                    <apex:outputlabel value="Start Date"/>                
                                    <apex:outputpanel layout="block" styleClass="requiredInput">
                                        <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                                        <apex:inputField onkeydown="if(event.keyCode==13){this.blur();actionFunction();}" value="{!recurringServiceDate.Recurring_Start_Date__c}" id="startDate"/> 
                                        <script>document.getElementById('{!$Component.startDate}').disabled = {!recordIsDLFL}; </script>
                                    </apex:outputpanel>                                                                               
                                </apex:pageblocksectionitem>    
                                                            
                                <apex:pageblocksectionitem >                    
                                    <apex:outputlabel value="End Date"/>                
                                    <apex:outputpanel layout="block" styleClass="requiredInput">
                                        <apex:outputpanel layout="block" styleClass="requiredBlock"/>
                                        <apex:inputField onkeydown="if(event.keyCode==13){this.blur();actionFunction();}" value="{!recurringServiceDate.Recurring_End_Date__c}" id="endDate"/>
                                        <script>document.getElementById('{!$Component.endDate}').disabled = {!recordIsDLFL}; </script>
                                    </apex:outputpanel>                                                                                                                   
                                </apex:pageblocksectionitem>

                            </apex:pageBlockSection> 
                        </apex:outputPanel>            

                    </apex:pageBlockSection>                           
                </apex:pageBlockSection>
            </apex:outputPanel>

            <apex:pageBlockSection collapsible="true" title="Other Details" columns="2">            
                <apex:outputPanel >
                    <apex:pageBlockSection columns="1">
                        <apex:pageblocksectionitem >
                            <apex:outputlabel value="{!functionalLocationObjectLabel}"/>
                            <apex:outputText value="{!functionalLocationRecordName & IF(recordIsDLFL, " (DLFL/Deleted)", "")}"/>
                        </apex:pageblocksectionitem>    

                        <apex:pageblocksectionitem >
                            <apex:outputlabel value="Type" rendered="{!showTrackerInfo}"/>
                            <apex:outputText value="{!functionalLocationType}" rendered="{!showTrackerInfo}"/>                
                        </apex:pageblocksectionitem>
                        <apex:pageblocksectionitem >
                            <apex:outputlabel value="Surface Location" rendered="{!showTrackerInfo}"/>
                            <apex:outputText value="{!functionalLocationSurface}" rendered="{!showTrackerInfo}"/>                
                        </apex:pageblocksectionitem>
                        
                        <apex:pageblocksectionitem >
                            <apex:outputlabel value="Current Status"/>
                            <apex:outputText value="{!wellLocationStatus}"/>
                        </apex:pageblocksectionitem>
                         
                        <apex:pageblocksectionitem >
                            <apex:outputlabel value="M3 Oil/Day" rendered="{!wellOilProdM3DayVisible && showTrackerInfo}"/>
                            <apex:outputText value="{!wellOilProdM3Day}" rendered="{!wellOilProdM3DayVisible && showTrackerInfo}"/>                
                        </apex:pageblocksectionitem>
                        
                        <apex:pageblocksectionitem >
                            <apex:outputlabel value="Manufacturer" rendered="{!showEquipmentInfo}"/>
                            <apex:outputText value="{!equipmentManufacturer}" rendered="{!showEquipmentInfo}"/>                
                        </apex:pageblocksectionitem>
                        <apex:pageblocksectionitem >
                            <apex:outputlabel value="Manufacturer Serial No." rendered="{!showEquipmentInfo}"/>
                            <apex:outputText value="{!equipmentManufacturerSerialNo}" rendered="{!showEquipmentInfo}"/>                
                        </apex:pageblocksectionitem>
                        <apex:pageblocksectionitem >
                            <apex:outputlabel value="Equipment Category" rendered="{!showEquipmentInfo}"/>
                            <apex:outputText value="{!equipmentCategory}" rendered="{!showEquipmentInfo}"/>                
                        </apex:pageblocksectionitem>
                        <apex:pageblocksectionitem >
                            <apex:outputlabel value="Catalogue Code" rendered="{!showEquipmentInfo}"/>
                            <apex:outputText value="{!equipmentCatalogueCode}" rendered="{!showEquipmentInfo}"/>                
                        </apex:pageblocksectionitem>

    
                        <!--                    
                        <apex:pageblocksectionitem >
                            <apex:outputlabel value="Outstanding Work Order(s)"/>
                            <apex:outputText value="{!numberOfOutstandingWorkOrders}"/>                                                                  
                        </apex:pageblocksectionitem>
                         -->    
                    </apex:pageBlockSection>
                </apex:outputPanel>

                <apex:outputPanel rendered="{!showPVRAvgInfo}">
                    <apex:pageBlockTable value="{!mapPVRAvgVolume}" var="field" rendered="{!NOT(ISNULL(mapPVRAvgVolume))}">
                        <apex:column value="{!field}">
                            <apex:facet name="header">Production</apex:facet>
                        </apex:column>
                        <apex:column headerValue="Volume">
                           <apex:outputText value="{!mapPVRAvgVolume[field]}"/>
                        </apex:column>
                    </apex:pageBlockTable>
                </apex:outputPanel>
            </apex:pageBlockSection>

            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Business_Unit_Lookup__c}" rendered="false"/>
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Operating_District_Lookup__c}" rendered="false"/>
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Operating_Field_AMU_Lookup__c}" rendered="false"/>
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Operator_Route_Lookup__c}" rendered="false"/>
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Facility_Lookup__c}" rendered="false"/>
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Location_Lookup__c}" rendered="false"/>
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Equipment__c}" rendered="false"/>
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Notification_Number__c}" rendered="false"/>
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Generated_Work_Order_Record__c}" rendered="false"/>                
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.SAP_Generated_Notification_Number__c}" rendered="false"/>    
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.SAP_Generated_Work_Order_Number__c}" rendered="false"/>    
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.SAP_Changed_Date__c}" rendered="false"/>    
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.SAP_Changed_By__c}" rendered="false"/>                                            
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Work_Details_Short__c}" rendered="false"/>  
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Recurring_Start_Date__c}" rendered="false"/>    
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Recurring_End_Date__c}" rendered="false"/>  
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Malfunction_Start_Date__c}" rendered="false"/>
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.SAP_Object_ID__c}" rendered="false"/>
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Maintenance_Plant__c}" rendered="false"/>  
            <apex:outputText value="{!HOG_Service_Request_Notification_Form__c.Main_Work_Centre__c}" rendered="false"/>              
        </apex:pageBlock>
    </apex:form>

    <script type="text/javascript">
        document.getElementById('{!$Component.inputWorkDetails}').focus();    
    </script>
    
</apex:page>